gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Frame A frame that constrains its child to a particular aspect ratio.

The AspectFrame is useful when you want pack a widget so that it can resize but always retains the same aspect ratio. For instance, one might be drawing a small preview of a larger image. AspectFrame derives from , so it can draw a label and a frame around the child. The frame will be "shrink-wrapped" to the size of the child.

- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  A title for the frame, can be .
  Horizontal alignment of the child within the allocation of the AspectFrame.
  Vertical alignment of the child within the allocation of the AspectFrame.
  The desired aspect ratio.
  If , ratio is ignored, and the aspect ratio is taken from the requistion of the child.
  The main way to construct a new AspectFrame.

  Alignment values range from 0.0 (left/top aligned) to 1.0 (right/bottom aligned).

- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("obey-child")
  System.Boolean Allow the frame to use its child widget's aspect ratio. The current size ratio of the child widget
- Property
  2.12.0.0
  GLib.Property("ratio")
  System.Single The aspect ratio of the child widget's size. The aspect ratio between 0.0 and 1.0 representing the child's size constraints.

  Setting this ratio is ignored if is set to .

- Method
  2.12.0.0
  System.Void `` `` `` `` Horizontal alignment of the child within the allocation of the AspectFrame. Vertical alignment of the child within the allocation of the AspectFrame. The desired aspect ratio. If , ratio is ignored, and the aspect ratio is taken from the requistion of the child. Set the size and alignment properties of this AspectFrame.

  Alignment values range from 0.0 (left/top aligned) to 1.0 (right/bottom aligned).

- Property
  2.12.0.0
  GLib.Property("xalign")
  System.Single Horiontal alignment of the child widget in the AspectFrame. A value between 0.0 and 1.0.
- Property
  2.12.0.0
  GLib.Property("yalign")
  System.Single Vertical alignment of the child widget in the AspectFrame. A value between 0.0 and 1.0.